## cinder 10.0.6

=== debian/changelog ===
cinder (2:10.0.6-2) unstable; urgency=medium

  * Add fix patch to solve problem with tempest 15.0.0 

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 06 Nov 2017 09:39:23 +0200

cinder (2:10.0.6-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 04 Oct 2017 11:11:00 +0200

cinder (2:10.0.3-3) unstable; urgency=medium

  * Add patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Sat, 02 Sep 2017 09:51:00 +0200

cinder (2:10.0.3-2) unstable; urgency=medium

  * Change control, add patches

 -- David Homolka <david.homolka@ultimum.io>  Mon, 07 Aug 2017 09:10:00 +0200

cinder (2:10.0.3-1+ut1) unstable; urgency=medium

  * New Ocata upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 20 Jul 2017 13:51:09 +0200

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 54~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: bandit (>= 0.13.2),
                     git,
                     python-anyjson,
                     python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-castellan (>= 0.4.0),
                     python-coverage,
                     python-crypto,
                     python-ddt (>= 1.0.1),
                     python-decorator (>= 3.4.0),
                     python-enum34,
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.5.0),
                     python-googleapi (>= 1.4.2),
                     python-greenlet,
                     python-hacking (>= 0.12.0),
                     python-httplib2,
                     python-ipaddress (>= 1.0.7),
                     python-iso8601 (>= 0.1.11),
                     python-keystoneauth1 (>= 2.18.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-lxml,
                     python-migrate (>= 0.9.6),
                     python-mock (>= 2.0),
                     python-mox3,
                     python-mysqldb,
                     python-novaclient (>= 2:6.0.0),
                     python-oauth2client (>= 2.0.1),
                     python-os-brick (>= 1.8.0),
                     python-os-testr (>= 0.8.0),
                     python-os-win (>= 1.4.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.15.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.privsep (>= 1.9.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.reports (>= 1.0.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslo.versionedobjects (>= 1.17.0),
                     python-oslo.vmware (>= 2.17.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1:1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-paramiko (>= 2.0),
                     python-paste,
                     python-pastedeploy,
                     python-pep8,
                     python-psutil,
                     python-psycopg2 (>= 2.5),
                     python-pymysql,
                     python-pyparsing,
                     python-pywbem,
                     python-requests (>= 2.10.0),
                     python-retrying,
                     python-routes,
                     python-rtslib-fb (>= 2.1.57),
                     python-simplejson,
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.17.1),
                     python-swiftclient (>= 1:3.2.0),
                     python-taskflow (>= 2.7.0),
                     python-tempest (>= 12.2.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.47.0),
                     python-tz,
                     python-webob,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/cinder.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/cinder.git
Homepage: https://github.com/openstack/cinder

Package: python-cinder
Section: python
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-barbicanclient (>= 4.0.0),
         python-castellan (>= 0.4.0),
         python-ceph,
         python-crypto,
         python-decorator (>= 3.4.0),
         python-eventlet (>= 0.18.4),
         python-glanceclient (>= 1:2.5.0),
         python-googleapi (>= 1.4.2),
         python-greenlet,
         python-hp3parclient,
         python-httplib2,
         python-ipaddress (>= 1.0.7),
         python-iso8601 (>= 0.1.11),
         python-keystoneauth1 (>= 2.18.0),
         python-keystoneclient (>= 1:3.8.0),
         python-keystonemiddleware (>= 4.12.0),
         python-lxml,
         python-migrate (>= 0.9.6),
         python-mysqldb,
         python-novaclient (>= 2:6.0.0),
         python-oauth2client (>= 2.0.1),
         python-os-brick (>= 1.8.0),
         python-os-win (>= 1.4.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.15.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.privsep (>= 1.9.0),
         python-oslo.reports (>= 1.0.0),
         python-oslo.rootwrap (>= 5.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-oslo.versionedobjects (>= 1.17.0),
         python-oslo.vmware (>= 2.17.0),
         python-osprofiler (>= 1.4.0),
         python-paramiko (>= 2.0),
         python-paste,
         python-pastedeploy,
         python-pbr (>= 1.8),
         python-psutil,
         python-psycopg2 (>= 2.5),
         python-pymysql,
         python-pyparsing,
         python-requests (>= 2.10.0),
         python-retrying,
         python-routes,
         python-rtslib-fb (>= 2.1.57),
         python-simplejson,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.17.1),
         python-swiftclient (>= 1:3.2.0),
         python-taskflow (>= 2.7.0),
         python-tooz (>= 1.47.0),
         python-tz,
         python-webob,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack block storage system - Python libraries
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Python libraries that are part of Cinder.

Package: cinder-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-cinder (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
Description: OpenStack block storage system - common files
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Cinder.

Package: cinder-api
Architecture: all
Depends: adduser,
         cinder-common (= ${binary:Version}),
         debconf,
         python-keystoneclient,
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack block storage system - API server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder API server.

Package: cinder-volume
Architecture: all
Depends: adduser,
         cinder-common (= ${binary:Version}),
         lvm2,
         qemu-utils,
         tgt | open-iscsi,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Suggests: ceph-common,
Description: OpenStack block storage system - Volume server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Volume server.

Package: cinder-scheduler
Architecture: all
Depends: cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack block storage system - Scheduler server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-backup
Architecture: all
Depends: adduser,
         cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack block storage system - Backup server
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the Cinder backup service.

Package: cinder-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack block storage system - doc
 Cinder is a block Storage-as-a-Service system for the OpenStack cloud
 computing suite. It re-implements the features of Nova-volume, which it
 directly replaces.
 .
 Cinder uses LVM partitions of your volume servers in order to provide iSCSI
 permanent block storage devices for your virtual machines running on Nova.
 It also has back-end drivers for many hardware and software storage
 solutions
 like Ceph, NFS, Net-APP, etc.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd,sphinxdoc

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'cinder\.tests\.unit\.(?!(.*test_volume\.VolumeTestCase\.test_create_delete_volume.*|.*test_volume\.ConsistencyGroupTestCase\.test_create_delete_cgsnapshot.*|.*test_volume\.VolumeMigrationTestCase\.test_retype_volume_driver_success.*|.*test_volume\.VolumeMigrationTestCase\.test_retype_volume_migration_failed.*|.*backup\.test_backup\.BackupTestCase\.test_create_backup_with_temp_snapshot.*|.*test_volume\.VolumeMigrationTestCase\.test_retype_volume_migration_bad_policy.*))' --parallel | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -f debian/cinder-common.config debian/cinder-common.postinst debian/cinder-api.config debian/cinder-api.postinst debian/cinder-volume.postinst
	rm -rf debian/*.upstart debian/*.service
	rm -rf .testrepository
	rm -rf cinder.egg-info

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	python2.7 setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp

	mkdir -p $(CURDIR)/debian/cinder-common/usr/share/cinder-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf \
		--wrap-width 80 \
		--namespace castellan.config \
		--namespace cinder \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.config \
		--namespace oslo.concurrency \
		--namespace oslo.context \
		--namespace oslo.db \
		--namespace oslo.i18n \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware \
		--namespace oslo.policy \
		--namespace oslo.reports \
		--namespace oslo.rootwrap \
		--namespace oslo.serialization \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi \
		--namespace oslo.utils \
		--namespace oslo.versionedobjects \
		--namespace oslo.vmware
#	# The generator is currently missing enabled_backend and the [lvm]
#	# section. This script fixes it until upstream gets smarter.
#	chmod +x debian/gen-fixed-config
#	./debian/gen-fixed-config
#	cp etc/cinder/cinder.conf.sample $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf

	dh_install --fail-missing -Xbin/cinder-all
	install -D -m 0440 debian/cinder-common.sudoers $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

	# Set LVM as default backend
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf DEFAULT enabled_backends lvm
	echo "[lvm]" 				>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "volume_driver = cinder.volume.drivers.lvm.LVMVolumeDriver" >> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "volume_group = pkgosvg0" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "iscsi_protocol = iscsi" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf
	echo "iscsi_helper = tgtadm" 		>> $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf

	# Set a default value for lock_path & state_path
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf oslo_concurrency lock_path /var/lock/cinder

	# Disable https in default setup, as this makes our CI fail
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf keystone_authtoken auth_protocol http

	# Fix the missing sql_connection directive
	pkgos-fix-config-default $(CURDIR)/debian/cinder-common/usr/share/cinder-common/cinder.conf database sqlite:////var/lib/cinder/cinderdb

	install -D -m 0644 $(CURDIR)/etc/cinder/logging_sample.conf $(CURDIR)/debian/cinder-common/usr/share/cinder-common/logging.conf

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf
	chmod 0440 $(CURDIR)/debian/cinder-common/etc/sudoers.d/cinder-common

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func cinder-volume.postinst

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python setup.py build_sphinx
	cp -rf doc/build/html $(CURDIR)/debian/cinder-doc/usr/share/doc/cinder-doc
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## cinder 10.0.8

=== debian/changelog ===
cinder (2:10.0.8-0ubuntu1~cloud3) xenial-ocata; urgency=medium

  * d/p/Handle-rbd.OSError-on-broken-RBD-image.patch: Reverted due to
    missing OSError in python-rbd (LP: #1866248).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Mar 2020 15:41:57 -0500

cinder (2:10.0.8-0ubuntu1~cloud2) xenial-ocata; urgency=medium

  * Backport: Handle rbd.OSError on broken RBD image (LP: #1698786).
    - d/p/Handle-rbd.OSError-on-broken-RBD-image.patch

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Wed, 12 Feb 2020 19:12:58 -0300

cinder (2:10.0.8-0ubuntu1~cloud1) xenial-ocata; urgency=medium

  * Backport: allow stop querying all rbd volumes for stats (LP: #1704106)
    - d/p/RBD-Don-t-query-Ceph-on-stats-for-exclusive-pools.patch

 -- Edward Hope-Morley <edward.hope-morley@canonical.com>  Mon, 18 Mar 2019 15:43:16 +0000

cinder (2:10.0.8-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1806038).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 30 Nov 2018 08:14:18 -0500

cinder (2:10.0.7-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1778729).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Jun 2018 15:38:47 -0400

cinder (2:10.0.6-0ubuntu1~cloud0) xenial-ocata; urgency=medium 
  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 27 Sep 2017 14:40:24 +0000

cinder (2:10.0.6-0ubuntu1) zesty; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1718730).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Sep 2017 13:23:59 -0400

cinder (2:10.0.4-0ubuntu1) zesty; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1706297).

 -- James Page <james.page@ubuntu.com>  Tue, 25 Jul 2017 16:33:49 +0100

cinder (2:10.0.2-0ubuntu1) zesty; urgency=medium

  * New upstream stable release for OpenStack Ocata (LP: #1696139).
  * d/p/*: Drop, no longer required.

 -- James Page <james.page@ubuntu.com>  Wed, 07 Jun 2017 16:02:42 +0100

## cinder 11.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
decorator>=3.4.0 # BSD
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
greenlet>=0.3.2 # MIT
httplib2>=0.7.5 # MIT
iso8601>=0.1.11 # MIT
ipaddress>=1.0.7;python_version<'3.3' # PSF
keystoneauth1>=3.1.0 # Apache-2.0
keystonemiddleware>=4.12.0 # Apache-2.0
lxml!=3.7.0,>=2.3 # BSD
oauth2client!=4.0.0,>=1.5.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.context>=2.14.0 # Apache-2.0
oslo.db>=4.24.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.messaging!=5.25.0,>=5.24.2 # Apache-2.0
oslo.middleware>=3.27.0 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
oslo.privsep!=1.17.0,>=1.9.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oslo.versionedobjects>=1.17.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
paramiko>=2.0 # LGPLv2.1+
Paste # MIT
PasteDeploy>=1.5.0 # MIT
psutil>=3.2.2 # BSD
pyparsing>=2.1.0 # MIT
python-barbicanclient!=4.5.0,!=4.5.1,>=4.0.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-novaclient>=9.0.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
pytz>=2013.6 # MIT
requests>=2.14.2 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
Routes>=2.3.1 # MIT
taskflow>=2.7.0 # Apache-2.0
rtslib-fb!=2.1.60,!=2.1.61,>=2.1.43 # Apache-2.0
simplejson>=2.2.0 # MIT
six>=1.9.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
suds-jurko>=0.6 # LGPLv3+
WebOb>=1.7.1 # MIT
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.vmware>=2.17.0 # Apache-2.0
os-brick>=1.15.2 # Apache-2.0
os-win>=2.0.0 # Apache-2.0
tooz>=1.47.0 # Apache-2.0
google-api-python-client>=1.4.2 # Apache-2.0
castellan>=0.7.0 # Apache-2.0
cryptography!=2.0,>=1.6 # BSD/Apache-2.0

=== contrib/block-box/Makefile ===
CINDER_BRANCH ?= master # master, stable/ocata, refs/changes/67/418167/1
NAME_PREFIX ?= ""
PLATFORM ?= debian # ubuntu, centos
TAG ?= latest

all: base lvm devbox

base:
	docker build https://git.openstack.org/openstack/loci-cinder.git\#:$(PLATFORM) --tag cinder:$(TAG) --build-arg PROJECT_REF=$(CINDER_BRANCH)

lvm:
	docker build -t cinder-lvm -f ./docker_files/Dockerfile.cinder-lvm .

devbox:
	cp ../../test-requirements.txt ./docker_files/
	docker build -t cinder-devenv -f ./docker_files/Dockerfile.cinder-devenv .
	rm ./docker_files/test-requirements.txt

=== debian/changelog ===
cinder (2:11.0.0-0ubuntu2) artful; urgency=medium

  * d/cinder-wsgi.conf: Ensure apache processes run under cinder group,
    allowing access to /etc/cinder/* (LP: #1715024).

 -- James Page <james.page@ubuntu.com>  Mon, 18 Sep 2017 09:24:40 +0100

cinder (2:11.0.0-0ubuntu1) artful; urgency=medium

  * d/tests/cinder-daemons, d/tests/cinder-volume: Add some resiliency
    to allow time for services to start after restart.
  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:11:08 -0400

cinder (2:11.0.0~rc2-0ubuntu3) artful; urgency=medium

  * d/cinder.conf, d/tests/cinder-daemons, d/tests/cinder-volume: Update
    default config with enabled_backends and database connection, and run
    db sync commands in autopkgtests prior to testing services are running.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Aug 2017 17:14:11 -0400

cinder (2:11.0.0~rc2-0ubuntu2) artful; urgency=medium

  * d/cinder-common.postinst: Drop db sync (LP: #1713059).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Aug 2017 10:44:38 -0400

cinder (2:11.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 12:05:47 -0400

cinder (2:11.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 14:39:57 -0400

cinder (2:11.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:23 -0400

cinder (2:11.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 10:26:57 -0400

cinder (2:11.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Drop duplicate python-sphinx BD.
  * d/control: Bumped Standards-Version to 3.9.8, no changes.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:06:10 +0100

cinder (2:11.0.0~b1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:01:01 +0100

cinder (2:11.0.0~b1-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * d/cinder-common.postinst: Restrict permissions on /etc/cinder
    (LP: #1675088).
  * d/README.Debian: no-one should be running nova-volume any more.
  * d/test-blacklist: Add blacklist-filter so we can exclude tests while
    running unit tests in the packaging.

  [ James Page ]
  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with new upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 17:17:13 +0100

## cinder 11.1.0

=== debian/changelog ===
cinder (2:11.1.0-0ubuntu1) artful; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1758046).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Mar 2018 08:42:20 -0400

cinder (2:11.0.2-0ubuntu1) artful; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1747065).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Feb 2018 15:15:56 -0500

cinder (2:11.0.1-0ubuntu1) artful; urgency=medium

  * d/gbp.conf: Create stable/pike branch.
  * New stable point release for OpenStack Pike (LP: #1734990).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Nov 2017 14:54:06 -0500

=== debian/control ===
Source: cinder
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: apache2-dev,
               debhelper (>= 9~),
               dh-apache2,
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-castellan (>= 0.7.0),
                     python-coverage (>= 4.0),
                     python-cryptography (>= 1.6),
                     python-ddt (>= 1.0.1),
                     python-decorator (>= 3.4.0),
                     python-enum34,
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.8.0),
                     python-googleapi (>= 1.4.2),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.12.0),
                     python-httplib2 (>= 0.7.5),
                     python-ipaddress (>= 1.0.7),
                     python-iso8601 (>= 0.1.11),
                     python-keystoneauth1 (>= 3.1.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-lxml (>= 2.3),
                     python-migrate (>= 0.11.0),
                     python-mock (>= 2.0),
                     python-novaclient (>= 2:9.0.0),
                     python-oauth2client (>= 1.5.0),
                     python-openstackdocstheme (>= 1.16.0),
                     python-os-api-ref (>= 1.0.0),
                     python-os-brick (>= 1.15.2),
                     python-os-testr (>= 0.8.0),
                     python-os-win (>= 2.0.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.context (>= 2.14.0),
                     python-oslo.db (>= 4.24.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.22.0),
                     python-oslo.messaging (>= 5.25.0),
                     python-oslo.middleware (>= 3.27.0),
                     python-oslo.policy (>= 1.23.0),
                     python-oslo.privsep (>= 1.9.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslo.versionedobjects (>= 1.17.0),
                     python-oslo.vmware (>= 2.17.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-paramiko (>= 2.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pep8,
                     python-psycopg2 (>= 2.5),
                     python-pymysql (>= 0.7.6),
                     python-pyparsing (>= 2.0.7),
                     python-requests (>= 2.14.2),
                     python-retrying (>= 1.2.3),
                     python-routes (>= 2.3.1),
                     python-rtslib-fb (>= 2.1.43),
                     python-simplejson (>= 2.2.0),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.20.0),
                     python-suds (>= 0.6),
                     python-swiftclient (>= 1:3.2.0),
                     python-taskflow (>= 2.7.0),
                     python-tempest (>= 1:16.1.0),
                     python-testrepository (>= 0.0.18),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.47.0),
                     python-tz (>= 2013.6),
                     python-webob (>= 1.7.1),
Standards-Version: 3.9.8
Homepage: http://launchpad.net/cinder
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/cinder
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/cinder
XS-Testsuite: autopkgtest

Package: python-cinder
Section: python
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-barbicanclient (>= 4.0.0),
         python-castellan (>= 0.7.0),
         python-cryptography (>= 1.6),
         python-decorator (>= 3.4.0),
         python-enum34,
         python-eventlet (>= 0.18.2),
         python-glanceclient (>= 1:2.8.0),
         python-greenlet (>= 0.3.2),
         python-httplib2 (>= 0.7.5),
         python-ipaddress (>= 1.0.7),
         python-iso8601 (>= 0.1.11),
         python-keystoneauth1 (>= 3.1.0),
         python-keystoneclient (>= 3.8.0),
         python-keystonemiddleware (>= 4.2.0),
         python-lxml (>= 2.3),
         python-migrate (>= 0.11.0),
         python-novaclient (>= 2:9.0.0),
         python-os-brick (>= 1.15.2),
         python-os-win (>= 2.0.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:4.0.0),
         python-oslo.context (>= 2.14.0),
         python-oslo.db (>= 4.24.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.22.0),
         python-oslo.messaging (>= 5.25.0),
         python-oslo.middleware (>= 3.27.0),
         python-oslo.policy (>= 1.23.0),
         python-oslo.privsep (>= 1.9.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-oslo.versionedobjects (>= 1.17.0),
         python-oslo.vmware (>= 2.15.0),
         python-osprofiler (>= 1.3.0),
         python-paramiko (>= 2.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pyparsing (>= 2.0.7),
         python-requests (>= 2.14.2),
         python-retrying (>= 1.2.3),
         python-routes (>= 2.3.1),
         python-simplejson (>= 2.2.0),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.20.0),
         python-suds,
         python-swiftclient (>= 1:3.2.0),
         python-taskflow (>= 1.26.0),
         python-tooz (>= 1.47.0),
         python-tz (>= 2013.6),
         python-webob (>= 1.7.1),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ceph,
          python-googleapi (>= 1.4.2),
          python-hp3parclient,
          python-oauth2client (>= 1.5.0),
          python-rtslib-fb,
Description: Cinder Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Python library for Cinder.

Package: cinder-common
Architecture: all
Depends: adduser,
         apache2 | httpd,
         libapache2-mod-wsgi,
         python-cinder (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Recommends: ${misc:Recommends},
Provides: ${python:Provides},
Description: Cinder storage service - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains commons components for Cinder.

Package: cinder-api
Architecture: all
Depends: cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Cinder storage service - API server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder API server.

Package: cinder-volume
Architecture: all
Depends: cinder-common (= ${binary:Version}),
         lvm2,
         qemu-utils,
         tgt,
         ${misc:Depends},
         ${python:Depends},
Breaks: cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 ),
Replaces: cinder-common ( <= 2012.2~rc1~20120907.1154-0ubuntu1 ),
Description: Cinder storage service - Volume server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Volume server.

Package: cinder-scheduler
Architecture: all
Depends: cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder Scheduler server.

Package: cinder-backup
Architecture: all
Depends: cinder-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: Cinder storage service - Scheduler server
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 Cinder is the OpenStack Block storage service.
 .
 This package contains the Cinder backup service.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,systemd,apache2

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	ostestr --blacklist_file $(CURDIR)/debian/test-blacklist.txt
endif

override_dh_install:
	dh_install --fail-missing -Xbin/cinder-all -Xusr/bin/cinder-api

override_dh_fixperms:
	dh_fixperms -Xcinder_tgt.conf

override_dh_clean:
	# temporary workaround for d2to1 wonkyness
	dh_clean -Xsetup.cfg
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eggs .testrepository

## cinder 11.2.1

=== debian/changelog ===
cinder (2:11.2.1-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1822192).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Mar 2019 16:34:36 -0400

cinder (2:11.1.1-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1778739).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 26 Jun 2018 13:39:08 -0400

cinder (2:11.1.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 22 Mar 2018 21:28:04 +0000
